Subject: bug#31065: closed (Re: bug#31065: Version 2??)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Apr 2018 00:19:02 +0000

Your bug report

#31065: Version 2??

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31065: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31065
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31065: Version 2??
From: Jim Meyering <[email-masked]>
To: Mark Adler <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 4 Apr 2018 17:18:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 31065 notabug
stop

On Wed, Apr 4, 2018 at 4:01 PM, Mark Adler <[email-masked]> wrote:
> Jean-loup has not worked on gzip for many years, but I will leave it to the gzip maintainers here to answer to their future intentions.
>
> However pigz has that ability now with the --independent option, where the block size defaults to 128K, and can be changed with the --blocksize option. See http://zlib.net/pigz/

Hi Mark, thanks for replying.

As for gzip vs. 2.0, I can say with confidence that we would strongly
discourage such an effort here. If you want that capability, use pigz.
While gzip is worth maintaining, it is definitely not the compression
tool of the future.

I've marked this as "notabug" and closed the issue in gzip's tracker,
but you're welcome to continue replying here.

Subject: Version 2??
From: - - <[email-masked]>
To: [email-masked]
Date: Wed, 4 Apr 2018 22:10:32 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, some time ago Jean-loup, said on http://www.gzip.org/recover.txt that

"As you can see, all this is not a trivial task, so you should attempt it only if your data is very valuable. gzip 2.0 will have a new blocksize option, allowing to recover easily all undamaged blocks after the damaged portion."

I'm using gzip 1.9 from the PCLinuxOS.

Can you please let me know:

1 Is it still the plan to get this into 2.0?

2 If you are, when do you think 2.0 will be out??

Thanks loads

Martin